Subject: [eap] Re: passphrases in EAP

From: [email-masked] ([email-masked])
Date: Tue, 6 May 2003 11:44:11 +0300

Jari Arkko wrote:

> [email-masked] wrote:
>=20
>> (NAI RFC was written a long time ago when i18n wasn't a big
>> issue. I guess nowadays we should allow non-ASCII characters=20
>> in usernames)
>=20
> That is reasonable, but I would still rather reference the
> old NAI RFC and have someone update that separately... NAI
> appears in strange places and it wouldn't do good for
> overall systems interoperability if we changed NAI only
> in one place. Or?

Yes, I agree, updating the NAI RFC would be a much better idea=20
than specifying exceptions in 2284bis. Indeed, updating it=20
should be quite simple, since the document is quite short,
the modifications quite small, and the changes are unlikely=20
to cause any problems for current implementations.

However, RFC 2486 is a standards track document (proposed standard).
Which working group should update it? (It was done in roamops, which
concluded in January 2001).=20

Bernard, as the author of RFC 2486, what do you think about updating
2486 to allow UTF-8 encoded characters (octets 80-FD) in the username=20
part? Is it a good idea? If so, how should it be done? (If we decide=20
to do this, I can volunteer to do the actual editing work).

Best regards,
Pasi

---

From: [email-masked] (Bernard Aboba)
Date: Tue, 6 May 2003 05:29:44 -0700 (PDT)

> 2486 to allow UTF-8 encoded characters (octets 80-FD) in the username
> part? Is it a good idea? If so, how should it be done? (If we decide

Bring the idea up with Patrik Falstrom and/or Harald. If they think it
is ok, then it's fine by me. There is an errata in RFC 2486 anyway (a
problem in the grammar), so an update is needed.